summaryrefslogtreecommitdiffstats
path: root/test/sreset_world/run_mambo_p9_sreset.sh
diff options
context:
space:
mode:
authorStewart Smith <stewart@linux.vnet.ibm.com>2017-03-24 12:30:19 +1100
committerStewart Smith <stewart@linux.vnet.ibm.com>2017-03-31 16:57:06 +1100
commit03f97028944815348ffd9c1ab1f895f763caa317 (patch)
tree6c65e655b22fcc432649647e44a0c55ac5125ea1 /test/sreset_world/run_mambo_p9_sreset.sh
parent0a7449cd1ca17ab2e5553917e521394ab2dd71e8 (diff)
downloadtalos-skiboot-03f97028944815348ffd9c1ab1f895f763caa317.tar.gz
talos-skiboot-03f97028944815348ffd9c1ab1f895f763caa317.zip
Mambo/Qemu boot tests: expect (and fail) on checkstop
This allows us to fail a lot faster if we checkstop Signed-off-by: Stewart Smith <stewart@linux.vnet.ibm.com>
Diffstat (limited to 'test/sreset_world/run_mambo_p9_sreset.sh')
-rwxr-xr-xtest/sreset_world/run_mambo_p9_sreset.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/test/sreset_world/run_mambo_p9_sreset.sh b/test/sreset_world/run_mambo_p9_sreset.sh
index b69fe173..2d0d51a2 100755
--- a/test/sreset_world/run_mambo_p9_sreset.sh
+++ b/test/sreset_world/run_mambo_p9_sreset.sh
@@ -40,16 +40,19 @@ spawn $P9MAMBO_PATH/$P9MAMBO_BINARY -n -f ../../test/sreset_world/run_sreset_wor
expect {
timeout { send_user "\nTimeout waiting for hello world\n"; exit 1 }
eof { send_user "\nUnexpected EOF\n"; exit 1 }
+"Machine Check Stop" { exit 1;}
"Hello World!"
}
expect {
timeout { send_user "\nTimeout waiting for Hello SRESET\n"; exit 1 }
eof { send_user "\nUnexpected EOF\n"; exit 1 }
+"Machine Check Stop" { exit 1;}
"Hello SRESET!"
}
expect {
timeout { send_user "\nTimeout waiting for shutdown\n"; exit 1}
eof { send_user "\nUnexpected EOF\n"; exit 1}
+"Machine Check Stop" { exit 1;}
"Execution stopped: Sim Support exit requested stop"
}
wait
OpenPOWER on IntegriCloud